Subject: Re: bug#4147: 23.1.50: Info-search command strange behaviour

From: Juri Linkov <[email-masked]>
Date: Thu, 17 Dec 2009 03:30:32 +0200

>> This means we need extra buffer per every header-line.
>
> Yes.

However, it's not clear how to combine header lines from different modes
for the same buffer (e.g. Info, ruler, and tabbar) - whether to put them
on separate lines in one buffer displayed in one header window, or to display
them in separate windows and buffers, i.e. one extra buffer/window for every
mode - one header buffer/window for the ruler, one for the tabbar, etc.

> Windows code can investigate all sorts of window parameters - in the
> present case there would be parameters like "nodelete", "noresize",
> "nosplit" and "noother" say.

I think you design of using window parameters is clean and flexible.

-- 
Juri Linkov
http://www.jurta.org/emacs/